Bug 836740 - EWS authentication causes high CPU usage
EWS authentication causes high CPU usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 836921 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 14:49 EDT by Mikhail
Modified: 2013-07-31 23:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:44:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace for evolution-alarm-notify (3.49 KB, text/plain)
2012-06-30 14:49 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-06-30 14:49:32 EDT
Created attachment 595468 [details]
backtrace for evolution-alarm-notify

Description of problem:
evolution-alarm-notify stuck when internet is broken
Comment 1 Mikhail 2012-06-30 14:50:47 EDT
When it occurs evolution-alarm-notify begins consume 100% CPU
Comment 2 Milan Crha 2012-07-02 03:41:22 EDT
Thanks for a bug report. The evolution-alarm-notify process is asking for a password. Is it possible the password prompt is somewhere hidden, or even on a different workspace, thus it's overlooked? I think this can happen when there are EClient sync signals piled in a queue - these are blocked until the password prompt is finished.
Comment 3 Mikhail 2012-07-02 04:23:39 EDT
Why evolution-alarm-notify asking for a password??? I do not change my password. And of course valid password password stored in gnome config. And why asking for a password eat all CPU resources?????
Comment 4 Milan Crha 2012-07-03 03:01:21 EDT
*** Bug 836921 has been marked as a duplicate of this bug. ***
Comment 5 Milan Crha 2012-07-03 03:08:12 EDT
The above duplicate causes same high CPU usage from evolution itself, also during authentication of EWS account, this time from mailer (camel) part.

evolution-alarm-notyfy asks for a password to be able to open your calendars (and the Birthday & Anniversaries calendar can ask for a password for remote address books to be able to open them).

My first guess is that there is probably some issue in the authentication code of the EWS account, causing this high CPU usage. I guess it's something like:
  a) need open ews account
  b) get password for it
  c) try password - some error is returned
  d) continue at b)
and I guess the b), c), d) triple is that quick that it eats your CPU.

I'll investigate further to see what is really going on here.
Please note of bug #836941 too.
Comment 6 Milan Crha 2012-07-03 13:32:40 EDT
Hrm, I tried to reproduce this, but I didn't manage to. It does different things for me. I connect to the server, which is behind vpn, then I disconnect vpn and try to do something on the server, and it simply timeouts and tells me it in the UI - no high CPU usage so far. Maybe changes from bug [1] will partly address this too. Partly, because it changes only mailer part.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=679303
Comment 7 Fedora End Of Life 2013-07-03 20:14:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 23:44:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.